Map
Map a website and discover URLs
POST
/mapAuthorization
api-key AuthorizationBearer <token>
Enter your API key with the bc_ prefix
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
ignoreQueryParameters?boolean
Ignore query parameters when discovering URLs
Default
trueincludeSubdomains?boolean
Include subdomains in the map
Default
truelimit?number
Maximum number of URLs to return
Range
1 <= value <= 1000Default
100location?
Location configuration
search?string
Search filter for URLs
sitemap?string
How to handle sitemaps
Default
"include"Value in
- "include"
- "skip"
- "only"
timeout?number
Timeout for map operation in milliseconds
Range
1000 <= value <= 300000url*string
URL to map
Response Body
application/json
curl -X POST "https://example.com/map" \ -H "Content-Type: application/json" \ -d '{ "url": "https://example.com" }'{ "creditsUsed": 0, "links": [ { "description": "string", "title": "string", "url": "http://example.com" } ], "success": true, "total": 0}Empty